Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # ImageConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename Img> struct boost::gil::ImageConcept< Img > 2-dimensional image whose value type models PixelValueConcept
    concept ImageConcept<RandomAccess2DImageConcept Img> {
        where MutableImageViewConcept<view_t>;
        typename coord_t  = view_t::coord_t;
    };
## Public Member Functions
void | constraints ()
## Public Attributes
Img | img
The documentation for this struct was generated from the following file: gil_concept.hpp